/*
 * Class BOX [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1771 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1771 [] = {0xFF01,1551,1770,872,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1771 [] = {0xFF01,1770,872,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1771 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1771 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1771 [] = {0xFF01,1770,872,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1771 [] = {0xFF01,1770,872,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1771 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1771 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1771 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1771 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1771 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1771 [] = {1770,872,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1771 [] = {0xFF01,1770,872,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1771 [] = {0xFF01,1758,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1771 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1771[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1771), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1771), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1771), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1771), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1771), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1771), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1771), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1771), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1771), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1771), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1771), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1771), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1771), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1771), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8623, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8624, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8625, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8626, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8627, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1771), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1771), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
};
void Init1771(void)
{
	IDSC(desc_1771, 0, 1770);
	IDSC(desc_1771 + 1, 1, 1770);
	IDSC(desc_1771 + 32, 1134, 1770);
	IDSC(desc_1771 + 41, 878, 1770);
}


#ifdef __cplusplus
}
#endif
